{% extends 'common/master.html' %}
{% load static %}
{% block endhead %}
    <style>
        #event-list {
            padding: 1% 0 0;

        }

        #chart-area canvas {
            width: 100%;
            height: 100%;
        }

    </style>
{% endblock %}
{% block main %}

    <div id="event-list" class="row">
        <div id="event-menu" class="col-xs-3 well">
            <ul class="nav nav-pills nav-stacked">
                {% for event in object_list %}
                    <li {% if forloop.first %}class="active"{% endif %}>
                        <a href="#" data-event-target="{{ event.id }}">
                            {{ event.event_name }}
                        </a>
                    </li>
                {% endfor %}
            </ul>
        </div>
        <div id="chart-area" class="col-xs-9">
            <canvas id="chart-canvas" width="800" height="500">

            </canvas>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    <script type="text/javascript" src="{% static 'Chart.js/Chart.min.js' %}"></script>
    <script type="text/javascript">
        var chart_handler = {
            chart_box: new Chart(document.getElementById("chart-canvas").getContext("2d")),
            base_url: "{% url "occurrence_information" %}",
            load: function (event_id) {
                var url = chart_handler.base_url + "?event_id=" + event_id + "&days=5";
                $.get(url).success(function (data) {
                    chart_handler.draw_chart(data["labels"], data["values"]);
                });
            },
            draw_chart: function draw_chart(labels, values) {
                if (chart_handler.chart_box && chart_handler.chart_box.destroy)
                    chart_handler.chart_box.destroy();
                chart_handler.chart_box = new Chart(document.getElementById("chart-canvas").getContext("2d"));
                chart_handler.chart_box = chart_handler.chart_box.Line({
                    labels: labels,
                    datasets: [
                        {
                            label: "My Second dataset",
                            fillColor: "rgba(151,187,205,0.2)",
                            strokeColor: "rgba(151,187,205,1)",
                            pointColor: "rgba(151,187,205,1)",
                            pointStrokeColor: "#fff",
                            pointHighlightFill: "#fff",
                            pointHighlightStroke: "rgba(151,187,205,1)",
                            data: values
                        }
                    ]
                });

            }
        };
    </script>
    <script type="text/javascript">
        $("a[data-event-target]").click(function () {
            var $this = $(this);
            chart_handler.load($this.attr('data-event-target'));
            $("#event-menu li").removeClass("active");
            $this.parent().addClass("active");

        });
        $(window).load(function () {
            $("a[data-event-target]").first().trigger('click');
        });
    </script>

{% endblock %}